Activity log for bug #751605

Date Who What changed Old value New value Message
2011-04-05 16:13:26 karoly.vegh bug added bug
2011-04-05 16:13:26 karoly.vegh attachment added before maximizing https://bugs.launchpad.net/bugs/751605/+attachment/1983669/+files/Screenshot-1.png
2011-04-05 16:13:55 karoly.vegh attachment added after maximizing https://bugs.launchpad.net/ubuntu/+source/unity/+bug/751605/+attachment/1983672/+files/Screenshot-2.png
2011-04-11 12:18:03 Remigijus Jarmalavičius bug added subscriber Remigijus Jarmalavičius
2011-04-11 14:42:38 Omer Akram tags apport-bug i386 natty running-unity apport-bug i386 multimonitor natty running-unity
2011-04-13 16:38:34 Alex Launi unity: importance Undecided Low
2011-04-13 16:38:37 Alex Launi unity: status New Confirmed
2011-04-13 16:38:39 Alex Launi unity (Ubuntu): importance Undecided Low
2011-04-13 16:38:40 Alex Launi unity (Ubuntu): status New Confirmed
2011-05-21 17:04:58 Sergey Prisacari bug added subscriber Sergey Prisacari
2011-06-06 08:58:34 Tobias Kuhn bug added subscriber Tobias Kuhn
2011-06-13 06:18:46 Paweł bug added subscriber Paweł Mański
2011-07-05 13:13:30 mist bug added subscriber mist
2011-07-18 09:49:31 sam tygier bug added subscriber sam tygier
2011-08-31 09:41:07 Danny Brugman bug added subscriber Danny Brugman
2011-09-14 18:22:38 Magnus Melin bug added subscriber Magnus Melin
2012-05-20 17:01:01 Sean DS bug added subscriber Sean DS
2012-06-22 02:08:08 Daniel van Vugt summary maximizing windows in a dualscreen setup goes awry Windows maximize on the wrong monitor
2012-06-22 02:08:15 Daniel van Vugt affects unity compiz
2012-06-22 02:08:25 Daniel van Vugt affects unity (Ubuntu) compiz (Ubuntu)
2012-06-22 02:08:34 Daniel van Vugt compiz: milestone 0.9.8.0
2012-06-22 02:10:28 Daniel van Vugt description Binary package hint: unity I have a notebook, using it with an external monitor attached to it in a dual-screen setup (See attached screenshots, the little screen is that of the notebook, the large screen is that of the external monitor attached to the top of the notebook's screen. If I maximize windows, two things go wrong: 1) the maximized windows always end up on the large screen, all the same if it was originally on the smaller one. 2) their top window-frame-bar (containing the minimize-maximize-close buttons) ends up on the top of the small screen. See screenshots: Screenshot-1 is showing the situation before maximizing, Screenshot-2 shows the situation after maximizing. I am not 100% sure, but I guess this is only this way since my last natty update. ProblemType: Bug DistroRelease: Ubuntu 11.04 Package: unity 3.8.2-0ubuntu1 ProcVersionSignature: Ubuntu 2.6.38-7.39-generic 2.6.38 Uname: Linux 2.6.38-7-generic i686 Architecture: i386 CompizPlugins: [core,bailer,detection,composite,opengl,decor,mousepoll,vpswitch,regex,animation,snap,expo,move,compiztoolbox,place,grid,imgpng,gnomecompat,wall,ezoom,workarounds,staticswitcher,resize,fade,unitymtgrabhandles,scale,session,unityshell] Date: Tue Apr 5 18:04:24 2011 EcryptfsInUse: Yes InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Beta i386 (20110330) InstallationMedia_: Ubuntu 11.04 "Natty Narwhal" - Beta i386 (20110330) InstallationMedia__: Ubuntu 11.04 "Natty Narwhal" - Beta i386 (20110330) ProcEnviron: LANGUAGE=en_US:en LANG=en_US.UTF-8 SHELL=/bin/bash ProcVersionSignature_: Ubuntu 2.6.38-7.39-generic 2.6.38 ProcVersionSignature__: Ubuntu 2.6.38-7.39-generic 2.6.38 SourcePackage: unity UpgradeStatus: No upgrade log present (probably fresh install) For windows maximizing on the wrong workspace, see bug 776435 instead. Binary package hint: unity I have a notebook, using it with an external monitor attached to it in a dual-screen setup (See attached screenshots, the little screen is that of the notebook, the large screen is that of the external monitor attached to the top of the notebook's screen. If I maximize windows, two things go wrong: 1) the maximized windows always end up on the large screen, all the same if it was originally on the smaller one. 2) their top window-frame-bar (containing the minimize-maximize-close buttons) ends up on the top of the small screen. See screenshots: Screenshot-1 is showing the situation before maximizing, Screenshot-2 shows the situation after maximizing. I am not 100% sure, but I guess this is only this way since my last natty update. ProblemType: Bug DistroRelease: Ubuntu 11.04 Package: unity 3.8.2-0ubuntu1 ProcVersionSignature: Ubuntu 2.6.38-7.39-generic 2.6.38 Uname: Linux 2.6.38-7-generic i686 Architecture: i386 CompizPlugins: [core,bailer,detection,composite,opengl,decor,mousepoll,vpswitch,regex,animation,snap,expo,move,compiztoolbox,place,grid,imgpng,gnomecompat,wall,ezoom,workarounds,staticswitcher,resize,fade,unitymtgrabhandles,scale,session,unityshell] Date: Tue Apr 5 18:04:24 2011 EcryptfsInUse: Yes InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Beta i386 (20110330) InstallationMedia_: Ubuntu 11.04 "Natty Narwhal" - Beta i386 (20110330) InstallationMedia__: Ubuntu 11.04 "Natty Narwhal" - Beta i386 (20110330) ProcEnviron:  LANGUAGE=en_US:en  LANG=en_US.UTF-8  SHELL=/bin/bash ProcVersionSignature_: Ubuntu 2.6.38-7.39-generic 2.6.38 ProcVersionSignature__: Ubuntu 2.6.38-7.39-generic 2.6.38 SourcePackage: unity UpgradeStatus: No upgrade log present (probably fresh install)
2012-06-22 02:11:13 Daniel van Vugt compiz: importance Low Medium
2012-06-22 02:11:17 Daniel van Vugt compiz (Ubuntu): importance Low Medium
2012-06-25 13:14:39 John Lea bug task added compiz-core
2012-06-25 13:14:51 John Lea bug task added ayatana-design
2012-06-25 13:14:59 John Lea ayatana-design: assignee John Lea (johnlea)
2012-06-25 13:15:01 John Lea ayatana-design: importance Undecided Critical
2012-06-25 13:15:04 John Lea ayatana-design: status New Fix Committed
2012-06-25 13:15:06 John Lea compiz-core: status New Confirmed
2012-06-25 13:15:17 John Lea tags apport-bug i386 multimonitor natty running-unity apport-bug i386 multimonitor natty running-unity udp
2012-06-25 13:15:56 John Lea summary Windows maximize on the wrong monitor Multi-monitor - Windows maximize on the wrong monitor
2012-06-25 13:17:55 John Lea description For windows maximizing on the wrong workspace, see bug 776435 instead. Binary package hint: unity I have a notebook, using it with an external monitor attached to it in a dual-screen setup (See attached screenshots, the little screen is that of the notebook, the large screen is that of the external monitor attached to the top of the notebook's screen. If I maximize windows, two things go wrong: 1) the maximized windows always end up on the large screen, all the same if it was originally on the smaller one. 2) their top window-frame-bar (containing the minimize-maximize-close buttons) ends up on the top of the small screen. See screenshots: Screenshot-1 is showing the situation before maximizing, Screenshot-2 shows the situation after maximizing. I am not 100% sure, but I guess this is only this way since my last natty update. ProblemType: Bug DistroRelease: Ubuntu 11.04 Package: unity 3.8.2-0ubuntu1 ProcVersionSignature: Ubuntu 2.6.38-7.39-generic 2.6.38 Uname: Linux 2.6.38-7-generic i686 Architecture: i386 CompizPlugins: [core,bailer,detection,composite,opengl,decor,mousepoll,vpswitch,regex,animation,snap,expo,move,compiztoolbox,place,grid,imgpng,gnomecompat,wall,ezoom,workarounds,staticswitcher,resize,fade,unitymtgrabhandles,scale,session,unityshell] Date: Tue Apr 5 18:04:24 2011 EcryptfsInUse: Yes InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Beta i386 (20110330) InstallationMedia_: Ubuntu 11.04 "Natty Narwhal" - Beta i386 (20110330) InstallationMedia__: Ubuntu 11.04 "Natty Narwhal" - Beta i386 (20110330) ProcEnviron:  LANGUAGE=en_US:en  LANG=en_US.UTF-8  SHELL=/bin/bash ProcVersionSignature_: Ubuntu 2.6.38-7.39-generic 2.6.38 ProcVersionSignature__: Ubuntu 2.6.38-7.39-generic 2.6.38 SourcePackage: unity UpgradeStatus: No upgrade log present (probably fresh install) For windows maximizing on the wrong workspace, see bug 776435 instead. Binary package hint: unity I have a notebook, using it with an external monitor attached to it in a dual-screen setup (See attached screenshots, the little screen is that of the notebook, the large screen is that of the external monitor attached to the top of the notebook's screen. If I maximize windows, two things go wrong: 1) the maximized windows always end up on the large screen, all the same if it was originally on the smaller one. 2) their top window-frame-bar (containing the minimize-maximize-close buttons) ends up on the top of the small screen. See screenshots: Screenshot-1 is showing the situation before maximizing, Screenshot-2 shows the situation after maximizing. I am not 100% sure, but I guess this is only this way since my last natty update. ------------------------------------------------------------- Desired Solution: - When a user maximises a window, the window should always maximise on the the monitor that contains the majority of the window at the moment the user gives the maximise command.
2012-06-25 13:35:19 Éric Piel bug added subscriber Éric Piel
2012-06-27 04:06:36 dmiller309 bug added subscriber dmiller309
2012-06-28 01:14:58 Eric Julien bug added subscriber Eric Julien
2012-07-03 13:40:57 John Lea compiz (Ubuntu): importance Medium High
2012-07-03 13:41:07 John Lea compiz (Ubuntu): importance High Critical
2012-07-03 13:42:29 Nicolas DS bug added subscriber Nicolas DS
2012-07-19 19:24:08 Hernando Torque bug added subscriber Hernando Torque
2012-08-14 17:22:11 Adam Niedling bug added subscriber Adam Niedling
2012-08-17 13:31:08 Andrea Corbellini bug added subscriber Andrea Corbellini
2012-08-22 16:34:19 John Lea compiz: importance Medium High
2012-08-22 16:34:22 John Lea compiz-core: importance Undecided High
2012-08-22 16:34:49 John Lea summary Multi-monitor - Windows maximize on the wrong monitor [regression] Multi-monitor - Windows maximize on the wrong monitor
2012-08-23 03:23:18 Daniel van Vugt summary [regression] Multi-monitor - Windows maximize on the wrong monitor Multi-monitor - Windows maximize on the wrong monitor
2012-08-23 05:25:49 Daniel van Vugt compiz: milestone 0.9.8.0 0.9.8.1
2012-08-28 14:51:06 danielreispereira bug added subscriber danielreispereira
2012-08-31 11:22:04 Philip Aston bug added subscriber Philip Aston
2012-09-07 19:31:58 nicolas janik bug added subscriber nicolas janik
2012-09-08 12:48:03 P. Mohseni bug added subscriber P. Mohseni
2012-09-10 06:31:04 Sam Spilsbury compiz: milestone 0.9.8.2 0.9.8.4
2012-09-21 12:27:14 Łukasz Zemczak compiz: assignee Łukasz Zemczak (sil2100)
2012-09-27 14:08:29 Łukasz Zemczak compiz: status Confirmed In Progress
2012-09-28 03:15:20 Daniel van Vugt compiz: milestone 0.9.8.4 0.9.8.6
2012-10-07 11:41:38 Florian Stoll bug added subscriber Schmankerl
2012-10-10 15:56:35 John Lea compiz: importance High Critical
2012-10-10 15:56:37 John Lea compiz-core: importance High Critical
2012-10-10 15:56:40 John Lea compiz-core: status Confirmed Triaged
2012-10-10 15:56:41 John Lea compiz (Ubuntu): status Confirmed Triaged
2012-10-13 15:59:26 Tanguy Le Meur bug added subscriber Tanguy Le Meur
2012-10-16 06:20:24 Greg A bug added subscriber Greg Auger
2012-10-19 05:44:14 Daniel van Vugt compiz: milestone 0.9.8.6 0.9.9.0
2012-10-19 05:44:32 Daniel van Vugt nominated for series compiz/0.9.8
2012-10-19 05:44:32 Daniel van Vugt bug task added compiz/0.9.8
2012-10-19 05:44:43 Daniel van Vugt compiz/0.9.8: status New Triaged
2012-10-20 16:34:23 Eduard Hasenleithner bug added subscriber Eduard Hasenleithner
2012-10-21 09:29:24 wazow bug added subscriber wazow
2012-10-22 08:00:55 Mathieu Pillard bug added subscriber Mathieu Pillard
2012-10-31 18:23:24 Paul Natsuo Kishimoto bug added subscriber Paul Kishimoto
2012-11-02 11:13:00 Stephen M. Webb bug added subscriber Stephen M. Webb
2012-11-05 01:19:52 Daniel van Vugt compiz: assignee Łukasz Zemczak (sil2100) Daniel van Vugt (vanvugt)
2012-11-08 06:19:54 Daniel van Vugt compiz: status In Progress Triaged
2012-11-13 10:38:31 Daniel van Vugt compiz: status Triaged In Progress
2012-11-13 14:23:50 Shady Ahmed bug added subscriber Shady Ahmed
2012-11-14 07:22:36 Charon bug added subscriber Charon
2012-11-14 10:22:28 Daniel van Vugt branch linked lp:~vanvugt/compiz/fix-751605
2012-11-14 12:22:11 Shady Ahmed removed subscriber Shady Ahmed
2012-11-14 20:40:18 Edwin Grubbs bug added subscriber Edwin Grubbs
2012-11-15 07:15:33 Daniel van Vugt compiz/0.9.8: importance Undecided Critical
2012-11-15 07:15:39 Daniel van Vugt compiz/0.9.8: milestone 0.9.8.6
2012-11-16 02:22:17 P. Mohseni removed subscriber P. Mohseni
2012-11-16 05:31:51 PS Jenkins bot compiz: status In Progress Fix Committed
2012-11-18 18:10:51 Charon branch linked lp:~charon030/compiz-core/fix-751605
2012-11-19 01:55:11 nicolas janik removed subscriber nicolas janik
2012-11-19 02:36:33 Daniel van Vugt compiz-core: milestone 0.9.7.10
2012-11-19 02:36:39 Daniel van Vugt compiz-core: status Triaged In Progress
2012-11-19 02:36:49 Daniel van Vugt compiz-core: assignee Charon (charon030)
2012-11-19 04:00:11 Daniel van Vugt compiz-core: milestone 0.9.7.10 0.9.7.12
2012-11-19 23:26:46 Sebastian Wick bug added subscriber Sebastian Wick
2012-11-20 08:49:22 Daniel van Vugt compiz/0.9.8: milestone 0.9.8.6 0.9.8.8
2012-11-22 16:22:34 Stephen M. Webb compiz (Ubuntu): status Triaged In Progress
2012-11-22 16:22:34 Stephen M. Webb compiz (Ubuntu): milestone ubuntu-13.04-alpha-1
2012-11-24 13:18:52 Andrea Azzarone compiz (Ubuntu): status In Progress Fix Committed
2012-11-26 03:45:25 Daniel van Vugt compiz (Ubuntu): assignee Daniel van Vugt (vanvugt)
2012-12-06 14:31:29 Stéphane Graber compiz (Ubuntu): milestone ubuntu-13.04-alpha-1 ubuntu-13.04-month-2
2012-12-08 21:06:08 Charon compiz/0.9.8: status Triaged In Progress
2012-12-08 21:06:15 Charon compiz/0.9.8: assignee Charon (charon030)
2012-12-08 21:21:34 Charon branch linked lp:~charon030/compiz/fix-751605
2012-12-11 07:26:22 Daniel van Vugt compiz-core: status In Progress Triaged
2012-12-11 07:26:28 Daniel van Vugt compiz-core: assignee Charon (charon030)
2012-12-11 08:00:34 Charon compiz/0.9.8: status In Progress Fix Committed
2012-12-13 10:38:06 Daniel van Vugt compiz-core: milestone 0.9.7.12 0.9.7.14
2013-01-02 17:41:31 karoly.vegh removed subscriber karoly.vegh
2013-01-08 02:24:07 Daniel van Vugt compiz: importance Critical High
2013-01-08 02:24:12 Daniel van Vugt compiz/0.9.8: importance Critical High
2013-01-08 02:24:16 Daniel van Vugt compiz-core: importance Critical High
2013-01-08 02:24:21 Daniel van Vugt compiz (Ubuntu): importance Critical High
2013-01-09 08:01:18 Timo Jyrinki nominated for series Ubuntu Precise
2013-01-09 08:01:18 Timo Jyrinki nominated for series Ubuntu Quantal
2013-01-11 09:31:11 Launchpad Janitor branch linked lp:~sil2100/compiz/ubuntu-0.9.8.6-snapshot
2013-01-21 11:28:19 Łukasz Zemczak bug added subscriber Ubuntu Stable Release Updates Team
2013-01-21 11:59:15 Łukasz Zemczak description For windows maximizing on the wrong workspace, see bug 776435 instead. Binary package hint: unity I have a notebook, using it with an external monitor attached to it in a dual-screen setup (See attached screenshots, the little screen is that of the notebook, the large screen is that of the external monitor attached to the top of the notebook's screen. If I maximize windows, two things go wrong: 1) the maximized windows always end up on the large screen, all the same if it was originally on the smaller one. 2) their top window-frame-bar (containing the minimize-maximize-close buttons) ends up on the top of the small screen. See screenshots: Screenshot-1 is showing the situation before maximizing, Screenshot-2 shows the situation after maximizing. I am not 100% sure, but I guess this is only this way since my last natty update. ------------------------------------------------------------- Desired Solution: - When a user maximises a window, the window should always maximise on the the monitor that contains the majority of the window at the moment the user gives the maximise command. [Test Case] 1. Have a multi-monitor environment ready 2. Open a terminal window 3. Move the window to be in-between two monitors 4. Maximize the window -> Make sure the window gets maximized on the correct monitor - the one that has most of the window. [Regression Potential] Windows that are too big to fit a given screen can still get the window maximized. Original description: For windows maximizing on the wrong workspace, see bug 776435 instead. Binary package hint: unity I have a notebook, using it with an external monitor attached to it in a dual-screen setup (See attached screenshots, the little screen is that of the notebook, the large screen is that of the external monitor attached to the top of the notebook's screen. If I maximize windows, two things go wrong: 1) the maximized windows always end up on the large screen, all the same if it was originally on the smaller one. 2) their top window-frame-bar (containing the minimize-maximize-close buttons) ends up on the top of the small screen. See screenshots: Screenshot-1 is showing the situation before maximizing, Screenshot-2 shows the situation after maximizing. I am not 100% sure, but I guess this is only this way since my last natty update. ------------------------------------------------------------- Desired Solution: - When a user maximises a window, the window should always maximise on the the monitor that contains the majority of the window at the moment the user gives the maximise command.
2013-01-24 11:52:24 Daniel van Vugt compiz: status Fix Committed Fix Released
2013-02-05 19:28:55 Stephen M. Webb compiz (Ubuntu): status Fix Committed Fix Released
2013-02-27 15:51:47 Launchpad Janitor branch linked lp:~sil2100/compiz/ubuntu-0.9.8.6-snapshot-3433
2013-03-01 18:21:57 Ben Cox bug added subscriber Ben Cox
2013-04-03 06:49:39 Didier Roche bug task added compiz (Ubuntu Quantal)
2013-04-03 12:01:32 Launchpad Janitor compiz (Ubuntu Quantal): status New Confirmed
2013-04-15 15:45:01 Christopher Townsend compiz-core: assignee Charon (charon030)
2013-04-15 15:45:05 Christopher Townsend compiz-core: status Triaged In Progress
2013-04-15 17:32:47 Ben Cox removed subscriber Ben Cox
2013-04-16 12:32:18 Christopher Townsend compiz-core: status In Progress Fix Committed
2013-04-24 02:23:25 P. Mohseni bug added subscriber P. Mohseni
2013-05-18 08:20:57 Florian Stoll removed subscriber Schmankerl
2013-05-21 21:53:00 Brian Murray compiz (Ubuntu Quantal): status Confirmed Fix Committed
2013-05-21 21:53:05 Brian Murray bug added subscriber SRU Verification
2013-05-21 21:53:07 Brian Murray tags apport-bug i386 multimonitor natty running-unity udp apport-bug i386 multimonitor natty running-unity udp verification-needed
2013-05-21 22:07:31 Greg A removed subscriber Greg Auger
2013-05-21 22:11:56 Launchpad Janitor branch linked lp:ubuntu/quantal-proposed/compiz
2013-07-24 21:07:26 oriolpont bug added subscriber oriolpont
2014-02-23 20:36:11 P. Mohseni removed subscriber P. Mohseni
2014-11-19 15:45:29 Eduard Hasenleithner removed subscriber Eduard Hasenleithner
2014-11-25 17:49:37 Stephen M. Webb compiz/0.9.8: status Fix Committed Fix Released
2014-12-05 05:02:09 Rolf Leggewie compiz (Ubuntu Quantal): status Fix Committed Won't Fix
2016-08-28 14:56:17 nullsteph bug added subscriber nullsteph
2016-08-28 15:27:40 Lalo Martins bug added subscriber Lalo Martins
2018-03-25 11:43:31 Hernando Torque removed subscriber Hernando Torque
2018-09-25 00:46:05 Lalo Martins removed subscriber Lalo Martins